# class Counter

###

Module | khtml
Namespace | DOM
Class | Counter
Inherits |

The Counter interface is used to represent any counter or counters function value. This interface reflects the values in the underlying style property. Hence, modifications made through this interface modify the style property.

### methods

- Counter ( )

  returns ctor

- Counter (other)

  returns ctor

  Argument | Type | Default
  --- | --- | ---
  other | DOM.Counter |

- Counter (i)

  returns ctor
  Not implemented

  Argument | Type | Default
  --- | --- | ---
  i | CounterImpl |

- handle ( )

  returns CounterImpl
  Not implemented

  Internal not part of the DOM

- identifier ( )

  returns DOM.DOMString

  This attribute is used for the identifier of the counter.

- isNull ( )

  returns bool

- listStyle ( )

  returns DOM.DOMString

  This attribute is used for the style of the list.

- separator ( )

  returns DOM.DOMString

  This attribute is used for the separator of nested counters.